from ..utils import bitly, xbmcutil
from . import veetle, sopcast
import xml.etree.ElementTree as ET
import re
sourceSite='http://www.bvls2016.sc/'
	
def addStreams():
    pBar = xbmcutil.createProgressBar('NL Sports', 'Laden van streams...')
    ua = bitly.getUserAgent()
    content = bitly.getPage('http://repo.tvaddons.nl/bvls2016.xml', sourceSite, ua)

    root = ET.fromstring(content)
    items = root.findall('stream')
    percentage = 0
    percUpdate = 100 / len(items)
    for item in items:
        percentage = percentage + percUpdate
        xbmcutil.updateProgressBar(pBar, percentage, 'Bezig met laden...')
        title = item.find('name').text
        link = item.find('source').text
        addStream(link, title)    
    xbmcutil.updateProgressBar(pBar, 100,'Gereed!')
    xbmcutil.endOfList()

def addStream(stream, display) :
    streamUrl = findStream(stream) 
    if streamUrl[-4:] == '.flv' :
        #veetle.addChannel(display + ' - [I]'+streamUrl+'[/I]', streamUrl, 'bvls')
        veetle.addChannel(display, streamUrl, 'bvls')
    else :
        if bitly.getResponse(streamUrl) :
            color = 'green'
        else :
            streamUrl = ''
            color = 'red'
        xbmcutil.addMenuItem('[COLOR '+color+']'+display+'[/COLOR][I]'+streamUrl+'[/I]', streamUrl, 'true', 'bvls','bvls')


def findStream(page) :
    ua = bitly.getUserAgent()
    page1 = resolveIframe(page)
    print page1
    page2 = resolveIframe(page1)
    print page2
    pagecontent = bitly.getPage(page2, sourceSite, ua)
    b64coded = bitly.getBaseEncodedString(pagecontent)
    streamUrl = bitly.getStreamUrl(b64coded)
    return streamUrl
    
def resolveIframe(page) :
    try :
        if(page[:4] != 'http') :
            page = sourceSite + '/' + page
        userAgent = bitly.getUserAgent()
        pagecontent = bitly.getPage(page, sourceSite, userAgent)
        regIframe = re.compile('iframe(.*?)src="(.*?)" id="myfr"', re.DOTALL)
        iframesrc = regIframe.search(pagecontent).group(2)
        return iframesrc
    except :
        return page

